Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.SSL
Class SSLValidationConstants

    java.lang.Object
      weblogic.security.SSL.SSLValidationConstants

public final class SSLValidationConstants
extends Object

Defines context element names.

SSL performs some built-in validation before it calls one or more CertPathValidator objects to perform additional validation. A validator can reduce the amount of validation it must do by discovering what validation has already been done.

For example, the WebLogic CertPath Provider performs the same Certicom validation that SSL does, and there is no need to duplicate that validation when invoked by SSL. Therefore, SSL puts some information into the context it hands to the validators to indicate what validation has already occurred.

For more information, see the sections that describe certification paths in "Developing Security Providers for WebLogic Server" on http://edocs.bea.com.

See Also:
  `CertPathValidator`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CHAIN_PREVALIDATED_BY_SSL` Indicates that SSL has pre-validated the certificate chain.

Constructor Summary
`SSLValidationConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHAIN_PREVALIDATED_BY_SSL

    public static final String CHAIN_PREVALIDATED_BY_SSL

  Indicates that SSL has pre-validated the certificate chain.

  It does not specify what validation has been done.

  This constant defines the context element's name.

  The element is a Boolean, which is set to true if SSL has pre-validated the certificate chain, false otherwise

  See Also:
    Constant Field Values

Constructor Detail

### SSLValidationConstants

    public SSLValidationConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD